Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class AvailabilityZone

    java.lang.Object
      com.amazonaws.services.ec2.model.AvailabilityZone

    public class AvailabilityZone

extends Object

An EC2 availability zone, separate and fault tolerant from other availability zones.

Constructor Summary
`AvailabilityZone()`

Method Summary
`String` | `getRegionName()` Name of the region in which this zone resides.
`String` | `getState()` State of the Availability Zone.
`String` | `getZoneName()` Name of the Availability Zone.
`void` | `setRegionName(String regionName)` Name of the region in which this zone resides.
`void` | `setState(String state)` State of the Availability Zone.
`void` | `setZoneName(String zoneName)` Name of the Availability Zone.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AvailabilityZone` | `withRegionName(String regionName)` Name of the region in which this zone resides.
`AvailabilityZone` | `withState(String state)` State of the Availability Zone.
`AvailabilityZone` | `withZoneName(String zoneName)` Name of the Availability Zone.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvailabilityZone

    public AvailabilityZone()

Method Detail

### getZoneName

    public String getZoneName()

  Name of the Availability Zone.

  Returns:
    Name of the Availability Zone.

### setZoneName

    public void setZoneName(String zoneName)

  Name of the Availability Zone.

  Parameters:
    `zoneName` - Name of the Availability Zone.

### withZoneName

    public AvailabilityZone withZoneName(String zoneName)

  Name of the Availability Zone.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `zoneName` - Name of the Availability Zone.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  State of the Availability Zone.

  Returns:
    State of the Availability Zone.

### setState

    public void setState(String state)

  State of the Availability Zone.

  Parameters:
    `state` - State of the Availability Zone.

### withState

    public AvailabilityZone withState(String state)

  State of the Availability Zone.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - State of the Availability Zone.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRegionName

    public String getRegionName()

  Name of the region in which this zone resides.

  Returns:
    Name of the region in which this zone resides.

### setRegionName

    public void setRegionName(String regionName)

  Name of the region in which this zone resides.

  Parameters:
    `regionName` - Name of the region in which this zone resides.

### withRegionName

    public AvailabilityZone withRegionName(String regionName)

  Name of the region in which this zone resides.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `regionName` - Name of the region in which this zone resides.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.